# Interface UniqueValueGroupJson

Represents a group of unique value classes (i.e. symbols). This is used to group symbols under a common heading and/or when representing multiple unique values with a single symbol.

See https://developers.arcgis.com/web-map-specification/objects/uniqueValueGroup/ https://developers.arcgis.com/web-scene-specification/objects/uniqueValueGroup/.

interface UniqueValueGroupJson {
classes?: UniqueValueClassJson[];
heading?: string;
}

#####
Index

### Properties

classes?
heading?

##
Properties

### `Optional` classes

classes?: UniqueValueClassJson[]

Specifies the classes (i.e. symbols) to group under a common heading. Classes may be included here without a heading when representing multiple values with a single symbol.

### `Optional` heading

heading?: string

The heading to be displayed for the collection of classes defined in this group.